import request from '@/utils/httpRequest'
import { FINANCE_PATH as prefix } from "../AppPath";

export default class ProgramFileDictService {
  list (params) {
    return request({
      url: prefix + '/program/configuration/file/list',
      method: 'get',
      params: params
    })
  }
  queryById (id) {
    return request({
      url: prefix + '/program/configuration/file/queryById',
      method: 'get',
      params: {id: id}
    })
  }
  getAllFileType () {
    return request({
      url: prefix + '/program/configuration/file/getAllFileType',
      method: 'get',
      params: {}
    })
  }
  save (inputForm) {
    return request({
      url: prefix + `/program/configuration/file/save`,
      method: 'post',
      data: inputForm
    })
  }
  delete (ids) {
    return request({
      url: prefix + '/program/configuration/file/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }
}
